@import "../../shared/scss/color";

.community-detail {
  width: 100%;
  background-color: white;
  margin: auto;
  padding: 80px 0 25px 0;
  .header {
    width: 85%;
    margin: 0 auto 20px auto;
    .cover {
      width: 100%;
      height: 200px;
      // border: 3px solid gray;
      border-radius: 7px 7px 0 0;
      img {
        width: 100%;
        height: 100%;
        border-radius: 4px 4px 0 0;
        object-fit: cover;
      }
    }
    .detail {
      width: 100%;
      background-color: $background-color;
      border-radius: 0 0 7px 7px;
      .profile {
        display: inline-block;
        width: 20%;
        position: relative;
        .img {
          position: absolute;
          margin-top: -150px;
          left: 0;
          border: 3px solid gray;
          width: 70%;
          height: 130px;
          border-radius: 7px;
          img {
            border-radius: 4px;
            width: 100%;
            height: 100%;
            object-fit: cover;
          }
        }
      }
      .content {
        display: inline-block;
        width: 80%;
        padding: 20px 30px;
        div {
          display: block;
          overflow: auto;
          &:first-child {
            margin-bottom: 5px;
            p {
              float: right;
              display: inline-block;
            }
            .follow-btn {
              float: left;
              display: inline-block;
              text-decoration: none;
              color: $white;
              background-color: $aqua-color;
              padding: 10px 15px;
              font-size: 12px;
              border-radius: 7px;
              border: 1px solid $aqua-color;
              cursor: pointer;
            }
            .unfollow-btn {
              float: left;
              display: inline-block;
              text-decoration: none;
              color: $aqua-color;
              background-color: inherit;
              padding: 10px 15px;
              font-size: 12px;
              border-radius: 7px;
              border: 1px solid $aqua-color;
              cursor: pointer;
            }
          }
          &:nth-child(2) {
            span {
              font-size: 14px;
              display: inline-block;
            }
            p {
              padding-right: 7px;
              display: inline-block;
              font-weight: bold;
              color: $description-color;
              font-size: 12px;
            }
          }
          font-size: 14px;
          font-weight: bold;
          color: $black-color;
        }
      }
    }
  }
  .body {
    width: 85%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    .sidebar {
      width: 20%;
      padding: 7px 11px;
      background-color: $background-color;
      height: 205px;
      position: sticky;
      top: 70px;
      border-radius: 7px;
      .tab-box {
        .tab {
          padding: 7px;
          margin: 4px 0;
          transition: 0.2s all ease-in-out;
          cursor: pointer;
          display: flex;
          font-size: 14px;
          color: $black-color;
          fa-icon {
            padding-left: 10px;
          }
          &:hover {
            background-color: #eeeeee;
            border-radius: 7px;
          }
        }
      }
    }
    .content-box {
      width: 78.5%;
      position: relative;
      .content {
        display: none;
      }
    }
  }
}

// sidebar tabs,content active
.active {
  background-color: #dddddd !important;
  border-radius: 7px;
}
.content-active {
  display: block !important;
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 99999999;
  transition: 0.5s all;
}

.content-loader {
  width: 100%;
  height: 100%;
  min-height: 200px;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba($color: #ffffff, $alpha: 1);
  z-index: 99999;
  transition: 0.5s all;
  border-radius: 0px;
}
